/* global assert:true */
module.exports = function (options) {
  describe('Adapter#create', function () {
    it('should exist', function * () {
      assert.equal(typeof this.$$adapter.create, 'function', 'adapter should have a "create" method')
    })
    it('should create a user', async function () {
      var adapter = this.$$adapter
      var User = this.$$User
      var createdUser = await adapter.create(User, {name: 'John'})
      var id = createdUser.id
      assert.equal(createdUser.name, 'John')
      assert.isDefined(createdUser.id)

      var findUser = await adapter.find(User, createdUser.id)
      assert.equal(findUser.name, 'John')
      assert.isDefined(findUser.id)
      assert.equal(findUser.id, id)
      assert.equal(findUser.name, 'John')

      var result = await adapter.destroy(User, findUser.id)
      assert.equal(result, findUser.id)

      findUser = await adapter.find(User, id)
      assert.isTrue(!findUser)
    })
  })
}
